Summary: Fuduntu Build Service
Name: buildservice
Version: 2.0.1
Release: 6
BuildArch: noarch
License: GPL+
Group: User Interface/System Utilities

Source0: %{name}-%{version}.tar.xz
URL: http://www.fuduntu.org

### Basic requirements for tool use
Requires:	rpm-build rpm-sign
Requires:	livecd-tools
Requires:	bash

### Required to begin building
Requires:	gcc gcc-c++
Requires:	git subversion bzr
Requires:	kernel-devel
Requires:	redhat-rpm-config

%description
This package contains a basic set of tools used to build packages
at Fuduntu.  These tools are designed to be used as part of the
distributions build service, however they work well as standalone
utilities.

%prep
%setup -q

%build

%post

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 etc/sysconfig/buildnode $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/buildnode
install -m 0755 usr/bin/buildrpm $RPM_BUILD_ROOT/%{_bindir}/buildrpm
install -m 0755 usr/bin/importpkg $RPM_BUILD_ROOT/%{_bindir}/importpkg
install -m 0755 usr/bin/mklivecd $RPM_BUILD_ROOT/%{_bindir}/mklivecd
install -m 0755 usr/bin/stagebuild $RPM_BUILD_ROOT/%{_bindir}/stagebuild

%files
%doc README
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/sysconfig/buildnode
%{_bindir}/buildrpm
%{_bindir}/importpkg
%{_bindir}/mklivecd
%{_bindir}/stagebuild

%changelog
* Tue Apr 02 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-6
- Yum upgrade before dependency pull and package build (buildrpm tool)

* Mon Jan 28 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-4
- Need rpm-sign for signing w/ RPM 4.9

* Sat Jan 26 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-3
- Requires redhat-rpm-config

* Tue Jan 22 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-2
- Fix bugs in buildrpm and importpkg

* Mon Jan 21 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0-1
- First release.
